Package org.springframework.test.context.support

# Class DefaultActiveProfilesResolver

java.lang.Object
org.springframework.test.context.support.DefaultActiveProfilesResolver

All Implemented Interfaces:
  `ActiveProfilesResolver`

public class DefaultActiveProfilesResolver extends Object implements ActiveProfilesResolver
Default implementation of the `ActiveProfilesResolver` strategy that resolves active bean definition profiles based solely on profiles configured declaratively via `ActiveProfiles.profiles()` or `ActiveProfiles.value()`.

Since:
  4.1
Author:
  Sam Brannen
See Also:
  - `ActiveProfiles`
  - `ActiveProfilesResolver`

## Constructor Summary

Constructors
Constructor
Description
`DefaultActiveProfilesResolver()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`resolve(Class<?> testClass)`
Resolve the bean definition profiles for the given test class based on profiles configured declaratively via `ActiveProfiles.profiles()` or `ActiveProfiles.value()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultActiveProfilesResolver

public DefaultActiveProfilesResolver()

## Method Details

### resolve

public String[] resolve(Class<?> testClass)
Resolve the bean definition profiles for the given test class based on profiles configured declaratively via `ActiveProfiles.profiles()` or `ActiveProfiles.value()`.

Specified by:
  `resolve` in interface `ActiveProfilesResolver`
Parameters:
  `testClass` - the test class for which the profiles should be resolved; never `null`
Returns:
  the bean definition profiles to use when loading the `ApplicationContext`; never `null`
See Also:
  - `ActiveProfiles.resolver()`
  - `ActiveProfiles.inheritProfiles()`